### Function

# GimpUi prop_path_editor_new

#### Declaration [src]

    GtkWidget*
    gimp_prop_path_editor_new (
      GObject* config,
      const gchar* path_property_name,
      const gchar* writable_property_name,
      const gchar* filechooser_title
    )

#### Description [src]

Creates a `GimpPathEditor` to edit the specified path and writable path properties.

#### Parameters

`config` | `GObject`
| Object to which property is attached.
| The data is owned by the caller of the function.
`path_property_name` | `const gchar*`
| Name of path property.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`writable_property_name` | `const gchar*`
| Name of writable path property.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`filechooser_title` | `const gchar*`
| Window title of `GtkFileChooserDialog` widget.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GtkWidget`
| A new `GimpPathEditor`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.